<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Store hotline version 3.0
  by @raiwa
  info@oscaddons.com
  www.oscaddons.com
  Copyright (c) 2016 Rainer Schmied

  Copyright (c) 2014 osCommerce

  Released under the GNU General Public License
*/

  class cm_header_phone {
    var $code;
    var $group;
    var $title;
    var $description;
    var $sort_order;
    var $enabled = false;

    function __construct() {
      $this->code = get_class($this);
      $this->group = basename(dirname(__FILE__));

      $this->title = MODULE_CONTENT_HEADER_PHONE_TITLE;
      $this->description = MODULE_CONTENT_HEADER_PHONE_DESCRIPTION;
      $this->description .= '<p>by @raiwa <u><a target="_blank" href="http://www.oscaddons.com">www.oscaddons.com</a></u></p>';
      $this->description .= '<div class="secWarning">' . MODULE_CONTENT_BOOTSTRAP_ROW_DESCRIPTION . '</div>';

      if ( defined('MODULE_CONTENT_HEADER_PHONE_STATUS') ) {
        $this->sort_order = MODULE_CONTENT_HEADER_PHONE_SORT_ORDER;
        $this->enabled = (MODULE_CONTENT_HEADER_PHONE_STATUS == 'True');
      }
    }


    function execute() {
      global $oscTemplate;

      $content_width = (int)MODULE_CONTENT_HEADER_PHONE_CONTENT_WIDTH;

      $phone_output = null;
      $skype_output = null;

      if ( MODULE_CONTENT_HEADER_PHONE_BUTTON == 'True' ) {
        $phone_output .= '<button type="button" class="btn btn-info d-none d-sm-block" style="pointer-events: none; cursor: none; filter: alpha(opacity=100); opacity: 1;" disabled>
                            <span class="fas fa-phone"></span>' . ' ' . MODULE_CONTENT_HEADER_PHONE_TEXT . STORE_PHONE .
                          '</button>';
        $phone_output .= tep_draw_button(MODULE_CONTENT_HEADER_PHONE_TEXT . STORE_PHONE,'fas fa-phone', 'tel:' . STORE_PHONE, 'primary', null, 'btn btn-info d-sm-none');
      }

      if ( MODULE_CONTENT_HEADER_SKYPE_USER != '') {
        $skype_menu = null;
        $skype_menu_count = null;
        if (MODULE_CONTENT_HEADER_SKYPE_PHONE == 'True') {
          $skype_menu .= '<a class="dropdown-item" href="skype:' . MODULE_CONTENT_HEADER_SKYPE_USER . '?call">' . MODULE_CONTENT_HEADER_SKYPE_CALL_TEXT . '</a>';
          $skype_output = tep_draw_button(MODULE_CONTENT_HEADER_SKYPE_TEXT . MODULE_CONTENT_HEADER_SKYPE_CALL_TEXT,'fab fa-skype', 'skype:' . MODULE_CONTENT_HEADER_SKYPE_USER . '?call', 'primary', null, 'btn btn-info');
        }
        if (MODULE_CONTENT_HEADER_SKYPE_CHAT == 'True' ) {
          $skype_menu .= '<a class="dropdown-item" href="skype:' . MODULE_CONTENT_HEADER_SKYPE_USER . '?chat">' . MODULE_CONTENT_HEADER_SKYPE_CHAT_TEXT . '</a>';
          $skype_output = tep_draw_button(MODULE_CONTENT_HEADER_SKYPE_TEXT . MODULE_CONTENT_HEADER_SKYPE_CHAT_TEXT,'fab fa-skype', 'skype:' . MODULE_CONTENT_HEADER_SKYPE_USER . '?chat', 'primary', null, 'btn btn-info');
        }
        if (MODULE_CONTENT_HEADER_SKYPE_ADD_CONTACT == 'True' ) {
          $skype_menu .= '<a class="dropdown-item" href="skype:' . MODULE_CONTENT_HEADER_SKYPE_USER . '?add">' . MODULE_CONTENT_HEADER_SKYPE_ADD_TEXT . '</a>';
          $skype_output = tep_draw_button(MODULE_CONTENT_HEADER_SKYPE_TEXT . MODULE_CONTENT_HEADER_SKYPE_ADD_TEXT,'fab fa-skype', 'skype:' . MODULE_CONTENT_HEADER_SKYPE_USER . '?add', 'primary', null, 'btn btn-info');
        }
        if (tep_not_null($skype_menu)) {
          $skype_output = '<a class="btn btn-info dropdown-toggle" href="#" role="button" id="dropdownPhoneLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                             <span class="fab fa-skype"></span> ' . MODULE_CONTENT_HEADER_SKYPE_TEXT . ' <span class="caret"></span>
                           </a>
                           <div class="dropdown-menu" aria-labelledby="dropdownPhoneLink">'
                             . $skype_menu .
                          '</div>';
        }
      }

      ob_start();
      include('includes/modules/content/' . $this->group . '/templates/tpl_' . basename(__FILE__));
      $template = ob_get_clean();

      $oscTemplate->addContent($template, $this->group);
    }

    function isEnabled() {
      return $this->enabled;
    }

    function check() {
      return defined('MODULE_CONTENT_HEADER_PHONE_STATUS');
    }

    function install() {
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Enable Header Phone Module', 'MODULE_CONTENT_HEADER_PHONE_STATUS', 'True', 'Do you want to enable the Phone content module?', '6', '1', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Content Width', 'MODULE_CONTENT_HEADER_PHONE_CONTENT_WIDTH', '4', 'What width container should the content be shown in?', '6', '2', 'tep_cfg_select_option(array(\'12\', \'11\', \'10\', \'9\', \'8\', \'7\', \'6\', \'5\', \'4\', \'3\', \'2\', \'1\'), ', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Content Align', 'MODULE_CONTENT_HEADER_PHONE_CONTENT_ALIGN', 'text-center', 'How should the content be aligned?', '6', '3', 'tep_cfg_select_option(array(\'text-left\', \'text-center\', \'text-right\'), ', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Show Store Phone Button', 'MODULE_CONTENT_HEADER_PHONE_BUTTON', 'True', 'Do you want to show the Store Phone button?', '6', '4', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Skype User', 'MODULE_CONTENT_HEADER_SKYPE_USER', 'echo123', 'Fill in your Skype Username.<br>Default: Skype Testcall \"echo123\"', '6', '5', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Show Skype Phone', 'MODULE_CONTENT_HEADER_SKYPE_PHONE', 'True', 'Do you want to show the Skype Phone option?', '6', '6', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Show Skype Chat', 'MODULE_CONTENT_HEADER_SKYPE_CHAT', 'True', 'Do you want to show the Skype Chat option?', '6', '7', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Show Skype Add Contact', 'MODULE_CONTENT_HEADER_SKYPE_ADD_CONTACT', 'True', 'Do you want to show the Skype Add COntact option?', '6', '8', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Sort Order', 'MODULE_CONTENT_HEADER_PHONE_SORT_ORDER', '15', 'Sort order of display. Lowest is displayed first.', '6', '9', now())");
    }

    function remove() {
      tep_db_query("delete from configuration where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }

    function keys() {
      return array('MODULE_CONTENT_HEADER_PHONE_STATUS',
                   'MODULE_CONTENT_HEADER_PHONE_CONTENT_WIDTH',
                   'MODULE_CONTENT_HEADER_PHONE_CONTENT_ALIGN',
                   'MODULE_CONTENT_HEADER_PHONE_BUTTON',
                   'MODULE_CONTENT_HEADER_SKYPE_USER',
                   'MODULE_CONTENT_HEADER_SKYPE_PHONE',
                   'MODULE_CONTENT_HEADER_SKYPE_CHAT',
                   'MODULE_CONTENT_HEADER_SKYPE_ADD_CONTACT',
                   'MODULE_CONTENT_HEADER_PHONE_SORT_ORDER');
    }
  }
