<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Store hotline version 3.1
  by @raiwa
  info@oscaddons.com
  www.oscaddons.com

  Copyright (c) 2020 Rainer Schmied

  Copyright (c) 2014 osCommerce

  Released under the GNU General Public License
*/

  class cm_header_phone extends abstract_executable_module {

    const CONFIG_KEY_BASE = 'MODULE_CONTENT_HEADER_PHONE_';

    public function __construct() {
      parent::__construct(__FILE__);
      
      $this->description .= '<p>by @raiwa <u><a target="_blank" href="http://www.oscaddons.com">www.oscaddons.com</a></u></p>';
      $this->description .= '<div class="secWarning">' . MODULE_CONTENT_BOOTSTRAP_ROW_DESCRIPTION . '</div>';

      if ( defined('MODULE_CONTENT_HEADER_PHONE_STATUS') ) {
        $this->sort_order = MODULE_CONTENT_HEADER_PHONE_SORT_ORDER;
        $this->enabled = (MODULE_CONTENT_HEADER_PHONE_STATUS == 'True');
      }
    }


    function execute() {
      $content_width = (int)MODULE_CONTENT_HEADER_PHONE_CONTENT_WIDTH;

      $tpl_data = [ 'group' => $this->group, 'file' => __FILE__ ];
      include 'includes/modules/content/cm_template.php';
    }

    protected function get_parameters() {
      return [
        'MODULE_CONTENT_HEADER_PHONE_STATUS' => [
          'title' => 'Enable Header Phone Module',
          'value' => 'True',
          'desc' => 'Do you want to enable the Phone content module?',
          'set_func' => "tep_cfg_select_option(['True', 'False'], ",
        ],
        'MODULE_CONTENT_HEADER_PHONE_CONTENT_WIDTH' => [
          'title' => 'Content Width',
          'value' => '4',
          'desc' => 'What width container should the content be shown in?',
          'set_func' => "tep_cfg_select_option(['12', '11', '10', '9', '8', '7', '6', '5', '4', '3', '2', '1'], ",
        ],
        'MODULE_CONTENT_HEADER_PHONE_BUTTON' => [
          'title' => 'Show Store Phone Button',
          'value' => 'True',
          'desc' => 'Do you want to show the Store Phone button?',
          'set_func' => "tep_cfg_select_option(['True', 'False'], ",
        ],
        'MODULE_CONTENT_HEADER_SKYPE_USER' => [
          'title' => 'Skype User',
          'value' => 'echo123',
          'desc' => 'Fill in your Skype Username.<br>Default: Skype Testcall \"echo123\"',
        ],
        'MODULE_CONTENT_HEADER_SKYPE_PHONE' => [
          'title' => 'Show Skype Phone',
          'value' => 'True',
          'desc' => 'Do you want to show the Skype Phone option?',
          'set_func' => "tep_cfg_select_option(['True', 'False'], ",
        ],
        'MODULE_CONTENT_HEADER_SKYPE_CHAT' => [
          'title' => 'Show Skype Chat',
          'value' => 'True',
          'desc' => 'Do you want to show the Skype Chat option?',
          'set_func' => "tep_cfg_select_option(['True', 'False'], ",
        ],
        'MODULE_CONTENT_HEADER_SKYPE_ADD_CONTACT' => [
          'title' => 'Show Skype Add Contact',
          'value' => 'True',
          'desc' => 'Do you want to show the Skype Add COntact option?',
          'set_func' => "tep_cfg_select_option(['True', 'False'], ",
        ],
        'MODULE_CONTENT_HEADER_PHONE_SORT_ORDER' => [
          'title' => 'Sort Order',
          'value' => '0',
          'desc' => 'Sort order of display. Lowest is displayed first.',
        ],
      ];
    }

  }
