<?php
/*
* $Id: cm_header_phone.php
* $Loc: /includes/modules/content/header/
*
* Name: StorePhone
* Version: 3.4
* Release Date: 2024-10-29
* Author: Rainer Schmied
* 	 phoenixcartaddonsaddons.com / raiwa@phoenixcartaddons.com
*
* License: Released under the GNU General Public License
*
* Comments: Author: [Rainer Schmied @raiwa]
* Author URI: [www.phoenixcartaddons.com]
* 
* CE Phoenix, E-Commerce made Easy
* https://phoenixcart.org
* 
* Copyright (c) 2021 Phoenix Cart
* 
* 
*/

  class cm_header_phone extends abstract_executable_module {

    const CONFIG_KEY_BASE = 'MODULE_CONTENT_HEADER_PHONE_';

    public function __construct() {
      parent::__construct(__FILE__);
      
      $this->description .= '<p>by @raiwa <u><a target="_blank" href="http://www.oscaddons.com">www.oscaddons.com</a></u></p>';
      $this->description .= '<div class="secWarning">' . MODULE_CONTENT_BOOTSTRAP_ROW_DESCRIPTION . '</div>';

      if ( defined('MODULE_CONTENT_HEADER_PHONE_STATUS') ) {
        $this->sort_order = MODULE_CONTENT_HEADER_PHONE_SORT_ORDER;
        $this->enabled = (MODULE_CONTENT_HEADER_PHONE_STATUS == 'True');
      }
    }


    function execute() {

      $tpl_data = [ 'group' => $this->group, 'file' => __FILE__ ];
      include 'includes/modules/content/cm_template.php';
    }

    protected function get_parameters() {
      return [
        'MODULE_CONTENT_HEADER_PHONE_STATUS' => [
          'title' => 'Enable Header Phone Module',
          'value' => 'True',
          'desc' => 'Do you want to enable the Phone content module?',
          'set_func' => "Config::select_one(['True', 'False'], ",
        ],
        'MODULE_CONTENT_HEADER_PHONE_CONTENT_WIDTH' => [
          'title' => 'Content Width',
          'value' => 'col-sm-6 my-3',
          'desc' => 'What container should the content be shown in? (col-*-12 = full width, col-*-6 = half width).',
        ],
        'MODULE_CONTENT_HEADER_PHONE_BUTTON' => [
          'title' => 'Show Store Phone Button',
          'value' => 'True',
          'desc' => 'Do you want to show the Store Phone button?',
          'set_func' => "Config::select_one(['True', 'False'], ",
        ],
        'MODULE_CONTENT_HEADER_SKYPE_USER' => [
          'title' => 'Skype User',
          'value' => 'echo123',
          'desc' => 'Fill in your Skype Username.<br>Default: Skype Testcall \"echo123\"',
        ],
        'MODULE_CONTENT_HEADER_SKYPE_PHONE' => [
          'title' => 'Show Skype Phone',
          'value' => 'True',
          'desc' => 'Do you want to show the Skype Phone option?',
          'set_func' => "Config::select_one(['True', 'False'], ",
        ],
        'MODULE_CONTENT_HEADER_SKYPE_CHAT' => [
          'title' => 'Show Skype Chat',
          'value' => 'True',
          'desc' => 'Do you want to show the Skype Chat option?',
          'set_func' => "Config::select_one(['True', 'False'], ",
        ],
        'MODULE_CONTENT_HEADER_SKYPE_ADD_CONTACT' => [
          'title' => 'Show Skype Add Contact',
          'value' => 'True',
          'desc' => 'Do you want to show the Skype Add COntact option?',
          'set_func' => "Config::select_one(['True', 'False'], ",
        ],
        'MODULE_CONTENT_HEADER_PHONE_SORT_ORDER' => [
          'title' => 'Sort Order',
          'value' => '0',
          'desc' => 'Sort order of display. Lowest is displayed first.',
        ],
      ];
    }

  }
